# $Revision: 1.19 $, $Date: 2004/05/06 18:09:30 $
#
# Conditional build:
%bcond_with	tests		# perform "make test" (tests 23, 25-30 from more.t fail in
 				# February - except leap years)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Tie
Summary:	Date::Tie - ISO dates made easy
Summary(pl):	Date::Tie - uatwienia do dat ISO
Name:		perl-Date-Tie
Version:	0.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4039e413eb514047eb1d2e8d84304091
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Tie is an attempt to simplify date operations syntax.

It works with calendar dates (year-month-day), ordinal dates
(year-day), week dates (year-week-day), times (hour:minute:second),
decimal fractions (decimal hours, decimal minutes and decimal
seconds), and time-zones.

%description -l pl
Date::Tie to prba uproszczenia skadni operacji na datach.

Modu dziaa z datami kalendarzowymi (rok-miesic-dzie), datami
porzdkowymi (rok-dzie), datami tygodniowymi (rok-tydzie-dzie),
czasem (godzina:minuta:sekunda), uamkami dziesitnymi (dziesitne
godziny, dziesitne minuty i dziesitne sekundy) i strefami czasowymi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Tie.spec,v $
Revision 1.19  2004/05/06 18:09:30  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.17  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.16  2004/03/13 23:09:14  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.15  2003/09/15 09:42:12  adamg
- updated to 0.17

Revision 1.14  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/06/11 22:42:49  misi3k
- updated to 0.16

Revision 1.11  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 15:28:27  ankry
- tests disabled - they fail in February...

Revision 1.6  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:31:19  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/20 12:16:35  mis
- autoupdated to 0.15

Revision 1.3  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.2  2002/08/26 14:10:31  ankry
- replaced version by an existent one: 0.14

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
